Name:          python-CairoSVG
Version:       1.0.9
Release:       1mamba
Summary:       A Simple SVG Converter for Cairo
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/CairoSVG
Source:        https://pypi.python.org/packages/source/C/CairoSVG/CairoSVG-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 python-CairoSVG' to get the list of build requirements.
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n CairoSVG-%{version}

%if "%{?with_pyver}"
%pyver_package
%endif

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
# %{python_sitearch}/%{name}.py*
# %{python_sitearch}/%{name}.so
%doc COPYING
## note: eventually add the remaining documents (if any)
# %doc README.rst

%changelog
* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- package created using the webbuild interface
